using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Editor
{
    public partial class NewEventDialog : Form
    {
        public NewEventDialog()
        {
            InitializeComponent();
        }

        private void NewEventDialog_Load(object sender, EventArgs e)
        {
            nameTextBox.Text = name;
            typeTextBox.Text = type;
            valueTextBox.Text = value;
        }

        public string name;
        public string type;
        public string value;

        private void okButton_Click(object sender, EventArgs e)
        {
            name = nameTextBox.Text;
            type = typeTextBox.Text;
            value = valueTextBox.Text;
            DialogResult = DialogResult.OK;
        }

        private void CancelButton_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
        }
    }
}